/**
 * ﻿============LICENSE_START=======================================================
 * org.onap.aai
 * ================================================================================
 * Copyright © 2017-2018 AT&T Intellectual Property. All rights reserved.
 * Copyright © 2017-2018 Amdocs
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */
package org.onap.crud.service;

import static org.hamcrest.CoreMatchers.is;
import static org.junit.Assert.assertThat;
import javax.ws.rs.core.Response.Status;
import org.junit.Test;
import org.onap.crud.exception.CrudException;

public class VertexPayloadTest {

    @Test
    public void testExceptionHandling() {
        String payload = null;
        try {
            VertexPayload.fromJson(payload);
        } catch (CrudException e) {
            assertThat(e.getHttpStatus(), is(Status.BAD_REQUEST));
            assertThat(e.getMessage(), is("Invalid Json Payload"));
        }

        payload = "Invalid Json";
        try {
            VertexPayload.fromJson(payload);
        } catch (CrudException e) {
            assertThat(e.getHttpStatus(), is(Status.BAD_REQUEST));
            assertThat(e.getMessage(), is("Invalid Json Payload"));
        }
    }
}
